Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Typedefs | Enumerations | Functions
asn1_obj.h File Reference
`#include <botan/secmem.h>`
`#include <botan/exceptn.h>`
`#include <vector>`
`#include <string>`
`#include <chrono>`

Go to the source code of this file.

## Classes
class | Botan::AlgorithmIdentifier
class | Botan::ASN1_Object
class | Botan::ASN1_String
class | Botan::ASN1_Time
class | Botan::BER_Bad_Tag
class | Botan::BER_Decoding_Error
class | Botan::BER_Object
class | Botan::OID

## Namespaces
namespace | Botan
namespace | Botan::ASN1

## Typedefs
typedef ASN1_Time | Botan::X509_Time

## Enumerations
enum | Botan::ASN1_Tag : uint32_t { Botan::UNIVERSAL = 0x00 , Botan::APPLICATION = 0x40 , Botan::CONTEXT_SPECIFIC = 0x80 , Botan::CONSTRUCTED = 0x20 , Botan::PRIVATE = CONSTRUCTED | CONTEXT_SPECIFIC , Botan::EOC = 0x00 , Botan::BOOLEAN = 0x01 , Botan::INTEGER = 0x02 , Botan::BIT_STRING = 0x03 , Botan::OCTET_STRING = 0x04 , Botan::NULL_TAG = 0x05 , Botan::OBJECT_ID = 0x06 , Botan::ENUMERATED = 0x0A , Botan::SEQUENCE = 0x10 , Botan::SET = 0x11 , Botan::UTF8_STRING = 0x0C , Botan::NUMERIC_STRING = 0x12 , Botan::PRINTABLE_STRING = 0x13 , Botan::T61_STRING = 0x14 , Botan::IA5_STRING = 0x16 , Botan::VISIBLE_STRING = 0x1A , Botan::UNIVERSAL_STRING = 0x1C , Botan::BMP_STRING = 0x1E , Botan::UTC_TIME = 0x17 , Botan::GENERALIZED_TIME = 0x18 , Botan::UTC_OR_GENERALIZED_TIME = 0x19 , Botan::NO_OBJECT = 0xFF00 , Botan::DIRECTORY_STRING = 0xFF01 }

## Functions
std::string | Botan::asn1_class_to_string (ASN1_Tag type)
std::string | Botan::asn1_tag_to_string (ASN1_Tag type)
bool | Botan::ASN1::maybe_BER (DataSource &source)
bool | Botan::operator!= (const AlgorithmIdentifier &a1, const AlgorithmIdentifier &a2)
bool | Botan::operator!= (const ASN1_Time &, const ASN1_Time &)
bool | Botan::operator!= (const OID &a, const OID &b)
OID | Botan::operator+ (const OID &oid, uint32_t new_comp)
bool | Botan::operator< (const ASN1_Time &, const ASN1_Time &)
bool | Botan::operator< (const OID &a, const OID &b)
bool | Botan::operator<= (const ASN1_Time &, const ASN1_Time &)
bool | Botan::operator== (const AlgorithmIdentifier &a1, const AlgorithmIdentifier &a2)
bool | Botan::operator== (const ASN1_Time &, const ASN1_Time &)
bool | Botan::operator> (const ASN1_Time &, const ASN1_Time &)
bool | Botan::operator>= (const ASN1_Time &, const ASN1_Time &)
std::vector< uint8_t > | Botan::ASN1::put_in_sequence (const std::vector< uint8_t > &contents)
std::vector< uint8_t > | Botan::ASN1::put_in_sequence (const uint8_t bits[], size_t len)
std::string | Botan::ASN1::to_string (const BER_Object &obj)